Welcome, guest. Please login or register. Did you miss your activation email?

Author Topic: NFS HS in 2017  (Read 181 times)

Lozano71

  • Newbie
  • *
  • Posts: 3
    • View Profile
NFS HS in 2017
« on: September 15, 2017, 03:26:07 PM »
Hello guys, i have modern PC and Win 7 x64. And i want play NFS HS with some vehicles mods. I tried to install some game versions, but always have crash when try to play with modded police vehicles as 1996 Crown Victoria  :police:. What i should to do? What game version i should download and install? Maybe i need to use some tools?

AJ_Lethal

  • Full Member
  • ***
  • Posts: 200
  • Stupid blunt claws.
    • View Profile
    • NFS Rides CR
Re: NFS HS in 2017
« Reply #1 on: September 15, 2017, 03:40:16 PM »
Use the NFS Modern patch for high-poly mods: http://veg.by/en/projects/nfs4/

WiLL

  • Hero Member
  • *****
  • Posts: 2994
    • View Profile
Re: NFS HS in 2017
« Reply #2 on: September 15, 2017, 07:58:15 PM »
Hi there,yeah every one that plays this uses the Veg patch,you can install Jim Diablos, Stock pack first an then this?
I did that,all went fine. I'm on Win7 pro to.
Good luck an it's all worth it! Lozano71 :)

Lozano71

  • Newbie
  • *
  • Posts: 3
    • View Profile
Re: NFS HS in 2017
« Reply #3 on: September 16, 2017, 01:40:21 AM »
I download it, but i don't know which game client i should use for installing different patch. Can you give me some link on checked torrent session and basic order of correct install? I have 2 different clients, but always get crashes or "please, insert disk"

darklocket

  • Newbie
  • *
  • Posts: 2
    • View Profile
Re: NFS HS in 2017
« Reply #4 on: September 16, 2017, 03:09:11 AM »
The game NFS plays and other cars work. The 1996 Crown Victoria does not work?

The car could be the problem and you need to redownload 1996 Crown Victoria, it could be a corrupt file.

If it still does not work, then the 1996 Crown Vic download is corrupt.

Try the NFS Modern patch for high-poly mods as AJ suggested.

MADMAN_nfs

  • Full Member
  • ***
  • Posts: 235
    • View Profile
    • Madness on youtube
Re: NFS HS in 2017
« Reply #5 on: September 16, 2017, 03:38:01 AM »
Basically there are 2 possibilities to run NFS4 - High Stakes on a modern system:

Veg's patch runs a lot more stable than the original game and therefore is highly recommended. Just make sure to follow the instruction of the readme file.
Basically all thats needed are 2 folders (Data + SaveData) from the game's intall disc. These have to be moved to an empty directory.
Then put the modern patch files in there and you're almost ready to play on any modern Windows system, including Windows 10 and all x64 versions.
Before starting the game you have to do some configuration settings. Here I highly recommend using Keiko's GUI setup - LINK

Im not going to explain the procedure in detail, instead check out this video tutorial - AJ_Lethal explained the two possible ways there
LINK

A pre-configured game version with integrated modern patch can be acquired here (full game + modern patch + nglide)
LINK

So, it is a bit of a hassle - like it was in 1999 on Win98 - i guess some things will never change :)

Greetings
« Last Edit: September 16, 2017, 03:40:07 AM by MADMAN_nfs »

Lozano71

  • Newbie
  • *
  • Posts: 3
    • View Profile
Re: NFS HS in 2017
« Reply #6 on: September 16, 2017, 04:03:05 PM »
The game NFS plays and other cars work. The 1996 Crown Victoria does not work?

The car could be the problem and you need to redownload 1996 Crown Victoria, it could be a corrupt file.

If it still does not work, then the 1996 Crown Vic download is corrupt.

Try the NFS Modern patch for high-poly mods as AJ suggested.
Thank you for advice, all vehicles was OK. I just do something wrong with game client.
Basically there are 2 possibilities to run NFS4 - High Stakes on a modern system:

Veg's patch runs a lot more stable than the original game and therefore is highly recommended. Just make sure to follow the instruction of the readme file.
Basically all thats needed are 2 folders (Data + SaveData) from the game's intall disc. These have to be moved to an empty directory.
Then put the modern patch files in there and you're almost ready to play on any modern Windows system, including Windows 10 and all x64 versions.
Before starting the game you have to do some configuration settings. Here I highly recommend using Keiko's GUI setup - LINK

Im not going to explain the procedure in detail, instead check out this video tutorial - AJ_Lethal explained the two possible ways there
LINK

A pre-configured game version with integrated modern patch can be acquired here (full game + modern patch + nglide)
LINK

So, it is a bit of a hassle - like it was in 1999 on Win98 - i guess some things will never change :)

Greetings
Thank you for the aid, pre-configured game version is cool thing. I already learned to use NFS Mixer, Serial Car number editor and NFS Wizard.
And i have possible last question:
Can i play multiplayer? For example i want to give the client to my friend, it will be 100% same. We should play via Hamachi or something?

Once again I want to say thank you for your help, without you I would not have managed.

MADMAN_nfs

  • Full Member
  • ***
  • Posts: 235
    • View Profile
    • Madness on youtube
Re: NFS HS in 2017
« Reply #7 on: September 17, 2017, 12:54:58 PM »
Good it is working out for you.

Yes, when you have the Modern patch it will be neccessary to use Hamachi and connect via TCP ("Connect Player" in main menu) with your friend. I have to admit the strongsuit of the modern patch rather is the singleplayer (as well as split-screen mode) and customized modifications.

If you intend to play online multiplayer mostly it might be a better idea to run JimD's Expansion Pack. Pretty easy to intall (also for your buddy) and synchronized content. The Expansion pack has a lot of mods integrated that will run stable with NFS4. Using the Mixer you also get play-ready mod lists of cars and tracks that can be switched quickly for higher variety.
Furthermore everything neccessary for online racing (with players worldwide) will be installed automatically with JimD's pack (IP-Lounge etc.).

The good news is, you can simply test JimD's packages with another game-installation. It will not interfere with VEG's modern patch version of the game. So, actually you can run both ways on the same machine and then decide whats best for you.

Greetings